## Pull request classification

Please remove options that are not relevant.

- [ ] Bug fix (changes that fix an issue)
- [ ] New feature (changes which add functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update
- [ ] Adding flowcharts for better understanding

# Description

Please include a summary of the change and which issue is fixed. Please also include relevant motivation and context. 

List any dependencies that are required for this change.

Fixes # (issue-number)

# Checklist:

- [ ] My code follows the style guidelines of this project
- [ ] I have performed a self-review of my own code
- [ ] I have commented on my code, particularly in hard-to-understand areas
- [ ] I have made corresponding changes to the documentation
- [ ] My changes generate no new warnings
- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] New and existing unit tests pass locally with my changes
- [ ] Created separate branch for separate bug/feature/documentation
- [ ] Any dependent changes have been merged and published in downstream modules